include:
  - /stig/common/configure-common
{% if grains['role'] == 'haproxy' %}
  - /stig/ubuntu/iptables-HA
{% else %}
  - /stig/ubuntu/iptables
{% endif %}

stig_packages:
  pkg.installed:
    - pkgs:
      - update-notifier
      - vlock
      - auditd
      - audispd-plugins
      - clamav-daemon
      - libpam-apparmor


/etc/login.defs:
  file.managed:
    - source: salt://stig/ubuntu/files/login.defs

/etc/sysctl.d/10-sysctl.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/10-sysctl.conf

/etc/apt/apt.conf.d/50unattended-upgrades:
  file.managed:
    - source: salt://stig/ubuntu/files/50unattended-upgrades

/etc/pam.d/common-auth:
  file.managed:
    - source: salt://stig/ubuntu/files/common-auth

/etc/pam.d/login:
  file.managed:
    - source: salt://stig/ubuntu/files/login

/etc/pam.d/common-password:
  file.managed:
    - source: salt://stig/ubuntu/files/common-password

/etc/ssh/sshd_config:
  file.managed:
    - source: salt://stig/ubuntu/files/sshd_config

/etc/default/useradd:
  file.managed:
    - source: salt://stig/ubuntu/files/useradd

/etc/profile.d/autologout.sh:
  file.managed:
    - source: salt://stig/ubuntu/files/autologout.sh

/etc/modprobe.d/cramfs.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/cramfs.conf

/etc/modprobe.d/freevxfs.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/freevxfs.conf

/etc/modprobe.d/hfs.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/hfs.conf

/etc/modprobe.d/hfsplus.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/hfsplus.conf

/etc/modprobe.d/jffs2.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/jffs2.conf

/etc/modprobe.d/udf.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/udf.conf

/etc/modprobe.d/usb_storage.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/usb_storage.conf

/etc/modprobe.d/vfat.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/vfat.conf

/etc/audit/auditd.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/auditd.conf

/etc/audisp/audisp-remote.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/audisp-remote.conf

/etc/audisp/plugins.d/au-remote.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/au-remote.conf

/etc/audit/rules.d/audit.rules:
  file.managed:
    - source: salt://stig/ubuntu/files/audit.rules

/etc/systemd/timesyncd.conf:
  file.managed:
    - source: salt://stig/ubuntu/files/timesyncd.conf

sysctl --system:
  cmd.run:
    - watch:
      - file: /etc/sysctl.d/10-sysctl.conf

auditd_service:
  service.running:
    - name: auditd
    - watch:
      - file: /etc/audit/rules.d/audit.rules

augenrules --load:
  cmd.run

timedatectl set-ntp true:
  cmd.run

clamav-freshclam_service:
  service.running:
    - name: clamav-freshclam

clamav-daemon_service:
  service.running:
    - name: clamav-daemon

sshd_service:
  service.running:
    - name: sshd
    - watch:
      - file: /etc/ssh/sshd_config
